package jp.ac.dendai.cdl.mori.wikie;

import java.io.IOException;

import org.apache.commons.cli.CommandLine;
import org.apache.commons.cli.ParseException;
import org.apache.hadoop.mapreduce.Job;

public interface MapReduceDriver {

    public void configJob(Job job, String[] args);

    public int executeJob(Job job) throws IOException, InterruptedException, ClassNotFoundException, Exception;

    public CommandLine createCommandLine(String[] args) throws ParseException;
}
